webentwicklung-frage-antwort-db.com.de

Wie installiere ich das Bcmath-Modul?

Wie installiere ich das bcmath-Modul auf einem Server? Ich habe es versucht

yum update php-bcmath

aber es sagte nichts gefunden.

33
JDesigns

Versuchen Sie yum install php-bcmath. Wenn Sie immer noch nichts finden können, versuchen Sie yum search bcmath, um den Paketnamen zu finden

41
greg0ire

ubuntu und Php 7.1

Sudo apt install php7.1-bcmath
26
Albert s

Hat sehr gut an CentOS 6.5 gearbeitet

yum install bcmath

Alle meine Aufrufe von bcmath-Funktionen funktionierten sofort nach einem Apache-Neustart

dienst httpd neu starten

Süss!

7
Anthony
yum install php72-php-bcmath.x86_64
cp /etc/opt/remi/php72/php.d/20-bcmath.ini /etc/php.d/
cp /opt/remi/php72/root/usr/lib64/php/modules/bcmath.so /usr/lib64/php/modules/
systemctl restart httpd

Nicht sicher, warum ich so tief gehen musste, wenn man bedenkt, dass die Installation von yum mir bcmath in phpinfo ()

5
fragbait

Aufruf an undefinierte Funktion bcmod()

yum install php-bcmath
systemctl restart httpd.service

sie sollten dann etwas Ähnliches wie /etc/php.d/bcmath.ini sehen, das unter phpinfo aufgelistet ist.

Centos 7
Plesk 12
PHP 5.4.16
2
MrT

Ich habe festgestellt, dass das Repo mit dem Paket nicht aktiviert wurde. Auf OEL7 

$ vi /etc/yum.repos.d/ULN-Base.repo
Set enabled to 1 for ol7_optional_latest

$ yum install php-bcmath

und das hat funktioniert ...

Ich habe den folgenden Befehl verwendet, um herauszufinden, wo das Paket war

$ yum --noplugins --showduplicates --enablerepo \* --disablerepo \*-source --disablerepo C5.\*,c5-media,\*debug\*,\*-source list \*bcmath
2
Neo

Wenn Sie php 7.1 Installiert haben, funktioniert diese Zeile auf Ihrem System.

Sudo apt install php7.1-bcmath

überprüfe deine PHP-Version in deinem System auf ubuntu 16.04

php -v

und dann Ergebnis dort zeigen ..

PHP 7.1.x + ubuntu16.04.1 + deb.sury.org + 1 (cli) (erstellt: 19. August 2018 07:16:12) (NTS) Copyright (c) 1997-2018 The PHP Zend Engine gruppieren v3.2.0, Copyright (c) 1998-2018 Zend Technologies mit Zend OPcache v7.2.9-1 + ubuntu16.04.1 + deb.sury.org + 1, Copyright (c) 1999-2018, von Zend Technologies

2
testing

wenn Sie eine Erweiterung aktivieren möchten, müssen Sie zuerst eine Erweiterung installieren. Die Erweiterung ist möglicherweise aktiviert, jedoch nicht installiert. Beispiel: bcmath

1.yum search php-bcmath

2. Dann stellen Sie sicher, dass die PHP-Version installiert ist, in der Sie diese Erweiterung installieren möchten

3.u wird wie nach dem yum-Suchbefehl >> ausgegeben

yum search php-bcmath ** Geladene Plugins: fastmirror, universal-hooks Laden der Spiegelgeschwindigkeit aus einer zwischengespeicherten Hostdatei

EA4: 66.71.244.18
cpanel-addons-production-feed: 66.71.244.18
base: mirror.nodesdirect.com
epel: mirror.coastal.edu
extras: www.gtlib.gatech.edu
nux-dextop: mirror.li.nux.ro
updates: mirror.jaleco.com
**============================================================== N/S matched: php-bcmath ===============================================================
ea-php54-php-bcmath.x86_64 : A module for PHP applications for using the bcmath library
ea-php55-php-bcmath.x86_64 : A module for PHP applications for using the bcmath library
ea-php56-php-bcmath.x86_64 : A module for PHP applications for using the bcmath library
ea-php70-php-bcmath.x86_64 : A module for PHP applications for using the bcmath library
ea-php71-php-bcmath.x86_64 : A module for PHP applications for using the bcmath library
ea-php72-php-bcmath.x86_64 : A module for PHP applications for using the bcmath library
then use >yum install ea-php72-php-bcmath.x86_64
5.this bcmath extension for php7.2
6.I wanna install for php71 then the command will be like **yum install ea-php71-php-bcmath.x86_64**  or yum install php71-bcmath.

7.u kann jede Erweiterung von oben installieren.

1
Prakash Lakhara

Ich habe gerade unter Paket für PHP v5.6 versucht und es hat für mich funktioniert.

yum install php56w-bcmath
0
Palanikumar

Für Centos 7 mit PHP 7.0

Installieren Sie das CentOS SCLo RH-Repository: yum install centos-release-scl-rh

Installieren Sie das RPM-Paket rh-php71-php-bcmath: yum install rh-php71-php-bcmath

systemctl restart httpd.service

0
Pravin Gurung

Das hat bei mir geklappt install php72-php-bcmath.x86_64 Dann,

systemctl restart php72-php-fpm.service
0
Sam

Wenn Sie PHP Erweiterungen in Ubuntu installieren möchten.

zuerst wissen, welche PHP version aktiv ist.

php -v

Danach installiere das benötigte Plugin mit diesem Befehl.

Sudo apt install php7.0-bcmath

du kannst php7.0-bcmath durch php-PHPVersion-extensionName ersetzen

0
Sanjun Dev

Wenn immer noch niemand weiß, wie man bcmath installiert, da es viele andere abhängige Module wie php7.2-common usw. installiert hat.

Verwenden Sie eine synaptische Anwendung, um dieselbe zu installieren. Feuerbefehl. \

Sudo apt-get install synaptic

Öffnen Sie die synaptische Anwendung und klicken Sie auf die Registerkarte "Suchen".

suche nach bcmath

suchergebnisse zeigen alle Pakete abhängig von PHP.

Installieren Sie nach Ihren Wünschen.

und mit allen automatisch ausgefüllten Abhängigkeiten installieren, die für die Installation erforderlich sind.

Das ist es.

0
Rahul Meshram

Wenn Sie die offiziellen PHP Bilder von Docker verwenden, verwenden Sie docker-php-ext-install bcmath.

Quelle: https://hub.docker.com/_/php?tab=description#php-core-extensions

0
marijnz0r

apt repo hat diese Erweiterung, führen Sie einfach den folgenden Befehl von Ihrem Terminal aus aus:

Sudo apt-get install php7.2-bcmath *

0